## GODataVector

GODataVector

## Synopsis

                        GODataVector;
                        GODataVectorVal;
                        GODataVectorStr;

    int                 go_data_vector_get_len              (GODataVector *vec);
    double*             go_data_vector_get_values           (GODataVector *vec);
    double              go_data_vector_get_value            (GODataVector *vec,
                                                             unsigned i);
    char*               go_data_vector_get_str              (GODataVector *vec,
                                                             unsigned i);
    void                go_data_vector_get_minmax           (GODataVector *vec,
                                                             double *min,
                                                             double *max);

    GOData*             go_data_vector_val_new              (double *val,
                                                             unsigned n,
                                                             GDestroyNotify notify);

    GOData*             go_data_vector_str_new              (char const * const *str,
                                                             unsigned n,
                                                             GDestroyNotify notify);
    void                go_data_vector_str_set_translate_func
                                                            (GODataVectorStr *vector,
                                                             GOTranslateFunc func,
                                                             gpointer data,
                                                             GDestroyNotify notify);
    void                go_data_vector_str_set_translation_domain
                                                            (GODataVectorStr *vector,
                                                             char const *domain);

## Object Hierarchy

      GObject
       +----GOData
             +----GODataVector
                   +----GODataVectorStr
                   +----GODataVectorVal

      GObject
       +----GOData
             +----GODataVector
                   +----GODataVectorVal

      GObject
       +----GOData
             +----GODataVector
                   +----GODataVectorStr

## Description

## Details

### GODataVector

    typedef struct _GODataVector GODataVector;

### GODataVectorVal

    typedef struct _GODataVectorVal GODataVectorVal;

### GODataVectorStr

    typedef struct _GODataVectorStr GODataVectorStr;

### go_data_vector_get_len ()

    int                 go_data_vector_get_len              (GODataVector *vec);

`vec` : |
Returns : |

### go_data_vector_get_values ()

    double*             go_data_vector_get_values           (GODataVector *vec);

`vec` : |
Returns : |

### go_data_vector_get_value ()

    double              go_data_vector_get_value            (GODataVector *vec,
                                                             unsigned i);

`vec` : |
`i` : |
Returns : |

### go_data_vector_get_str ()

    char*               go_data_vector_get_str              (GODataVector *vec,
                                                             unsigned i);

`vec` : |
`i` : |
Returns : |

### go_data_vector_get_minmax ()

    void                go_data_vector_get_minmax           (GODataVector *vec,
                                                             double *min,
                                                             double *max);

`vec` : |
`min` : |
`max` : |

### go_data_vector_val_new ()

    GOData*             go_data_vector_val_new              (double *val,
                                                             unsigned n,
                                                             GDestroyNotify notify);

`val` : |
`n` : |
`notify` : |
Returns : |

### go_data_vector_str_new ()

    GOData*             go_data_vector_str_new              (char const * const *str,
                                                             unsigned n,
                                                             GDestroyNotify notify);

`str` : |
`n` : |
`notify` : |
Returns : |

### go_data_vector_str_set_translate_func ()

    void                go_data_vector_str_set_translate_func
                                                            (GODataVectorStr *vector,
                                                             GOTranslateFunc func,
                                                             gpointer data,
                                                             GDestroyNotify notify);

Sets a function to be used for translating elements of `vec`

`vector` : | a GODataVectorStr
`func` : | a GOTranslateFunc
`data` : | data to be passed to `func` and `notify`
`notify` : | a GODestroyNotify function to be called when `vec` is destroyed or when the translation function is changed

### go_data_vector_str_set_translation_domain ()

    void                go_data_vector_str_set_translation_domain
                                                            (GODataVectorStr *vector,
                                                             char const *domain);

Sets the translation domain and uses `dgettext()` for translating the elements of `vec`. Note that libgoffice expects all strings to be encoded in UTF-8, therefore the translation domain must have its codeset set to UTF-8, see `bind_textdomain_codeset()` in the `gettext()` documentation.

If you're not using `gettext()` for localization, see `go_data_vector_str_set_translate_func()`.

`vector` : | a GODataVectorStr
`domain` : | the translation domain to use for `dgettext()` calls